Robotsystem from Robot Group Leipzig: Playground Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# Playground Class Reference

`#include <playground.h>`

Inheritance diagram for Playground:

[legend]
Collaboration diagram for Playground:

[legend]
List of all members.

## Detailed Description

Examples:

  main.cpp.

Definition at line 74 of file playground.h.

## Public Member Functions
| Playground (const OdeHandle &odeHandle, const OsgHandle &osgHandle, const osg::Vec3 &dimension=osg::Vec3(7.0, 0.2, 0.5), double factorxy=1)
virtual void | update ()
| updates the position of the geoms ( not nessary for static objects)
virtual void | setPose (const osg::Matrix &pose)
| sets position of the obstacle and creates/recreates obstacle if necessary
virtual osg::Matrix | getPose ()
| gives actual pose of the obstacle
## Protected Member Functions
virtual void | create ()
virtual void | destroy ()
## Protected Attributes
double | length
double | width
double | height
double | factorlength2
Box * | box [4]
bool | obstacle_exists

## Constructor & Destructor Documentation

Playground | ( | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle,
|  | const osg::Vec3 & | dimension = `osg::Vec3(7.0, 0.2, 0.5)`,
|  | double | factorxy = `1`
| ) | `[inline]`

| Definition at line 86 of file playground.h.

## Member Function Documentation

virtual void create | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented in ClosedPlayground. Definition at line 122 of file playground.h.

virtual void destroy | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented in ClosedPlayground. Definition at line 148 of file playground.h.

virtual osg::Matrix getPose | ( |  | ) | `[inline, virtual]`

| gives actual pose of the obstacle Implements AbstractObstacle. Definition at line 116 of file playground.h.

virtual void setPose | ( | const osg::Matrix & | pose | ) | `[inline, virtual]`

| sets position of the obstacle and creates/recreates obstacle if necessary Implements AbstractObstacle. Definition at line 108 of file playground.h.

virtual void update | ( |  | ) | `[inline, virtual]`

| updates the position of the geoms ( not nessary for static objects) Implements AbstractObstacle. Definition at line 104 of file playground.h.

## Member Data Documentation

Box* box[4]`[protected]`

| Definition at line 80 of file playground.h.

double factorlength2`[protected]`

| Definition at line 78 of file playground.h.

double height`[protected]`

| Definition at line 77 of file playground.h.

double length`[protected]`

| Definition at line 77 of file playground.h.

bool obstacle_exists`[protected]`

| Definition at line 82 of file playground.h.

double width`[protected]`

| Definition at line 77 of file playground.h.